%define name 	kvideogen
%define version 1.2
%define release 4mdk
%define prefix	/usr
%define kde1dir %{_libdir}/kde1-compat

Summary:	X Modeline generator for the KDE project.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		1
Source:		ftp://ftp.kde.org/pub/kde/unstable/apps/utils/%{name}-%{version}.tar.bz2
Source1:    %{name}.xpm
Source2:    %{name}_mini.xpm
URL:		http://www.rikkus.demon.co.uk/kvideogen
Copyright:	GPL
Group:		System/Configuration/Hardware
BuildRoot:  %{_tmppath}/%{name}-buildroot
Prefix:		%{prefix}
Patch0:		%{name}-configure.diff
Patch1:		%{name}-icons.diff
Patch2:     %{name}-automake.patch

%description
X Modeline generator for the KDE project.

%prep

%setup -q
%patch -p0
%patch1 -p0
%patch2 -p1
autoconf
automake

%build
export KDEDIR=%{kde1dir}
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{kde1dir} --exec-prefix=%{kde1dir} --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT 
export KDEDIR=%{kde1dir}

make prefix=$RPM_BUILD_ROOT%{kde1dir} \
exec_prefix=$RPM_BUILD_ROOT%{kde1dir} \
kde_bindir=$RPM_BUILD_ROOT%{kde1dir}/bin \
kde_appsdir=$RPM_BUILD_ROOT%{kde1dir}/share/applnk \
kde_htmldir=$RPM_BUILD_ROOT%{_docdir}/kde1/HTML \
kde_datadir=$RPM_BUILD_ROOT%{kde1dir}/share/apps \
bindir=$RPM_BUILD_ROOT%{_bindir} \
kde_icondir=$RPM_BUILD_ROOT%{_iconsdir} \
kde_minidir=$RPM_BUILD_ROOT%{_miconsdir} install

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="kvideogen" icon="kvideogen.xpm" needs="x11" section="Configuration/Hardware" title="KVideoGen" longtitle="Video Mode generator"
EOF

install -m644 %{SOURCE1} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,755)
%doc %{_docdir}/kde1/HTML/*/*
%{_bindir}/*
%{_menudir}/*
%{kde1dir}/share/apps/*
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm

%changelog
* Wed Aug 23 2000 Vincent Saugey <vince@mandrakesoft.com> 1.2-4mdk
- BM + macroszification
- kde1-compat

* Fri Mar 31 2000 Franois Pons <fpons@mandrakesoft.com> 1.2-3mdk
- updated Group.
- added menu entry.

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2-2mdk
- libtoolize --force

* Mon Nov 22 1999 John Corey <jcorey@mandrakesoft.com>
- Build with FHS-2.0 compliance
- Initial build.

